#ifndef _BILPPM_INTERNAL_H_
#define _BILPPM_INTERNAL_H_

/* include various sub-include files */
#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include <setjmp.h>
#include <ctype.h>
#include <math.h>
#include <bil/bilDriver.h>
#include <bil/bilPpm.h>

typedef struct
  {
  BILencodeContextStruct  parent;
  FILE                   *tempFile;
  } BILPPMdecodeContextStruct;

typedef struct
  {
  BILencodeContextStruct  parent;
  FILE                   *tempFile;
  BILsizei                bytesToEncode;
  BILsizei                bytesEncoded;
  } BILPPMencodeContextStruct;

BILboolean ppm_load_image(BILPPMdecodeContextStruct *context);
BILboolean ppm_save_image(BILPPMencodeContextStruct *context);

#endif /* _BILPPM_INTERNAL_H_ */
