#ifndef _BILJPEG_H_
#define _BILJPEG_H_

/* include various sub-include files */
#include <bil/bil.h>

/* begin C function definitions */
#ifdef __cplusplus
extern "C" {
#endif

/* import/export stuff */
#if defined(WIN32)
#  if defined(BILJPEG_DLL_EXPORT)
#    define BILJPEG_API	__declspec(dllexport)
#  elif defined(BILJPEG_DLL_IMPORT)
#    define BILJPEG_API	__declspec(dllimport)
#  else
#    define BILJPEG_API	extern
#  endif
#else
#  define BILJPEG_API	extern
#endif


/* version stuff */
#define BILJPEG_NAME	  "jpeg"
#define BILJPEG_VERSION	  BIL_VERSION_MAKE(1,0,0)

/* function prototypes */
BILJPEG_API BILboolean bilJpegRegisterEncoder();
BILJPEG_API BILboolean bilJpegUnregisterEncoder();
BILJPEG_API BILboolean bilJpegRegisterDecoder();
BILJPEG_API BILboolean bilJpegUnregisterDecoder();

/* end C function definitions */
#ifdef __cplusplus
    }
#endif

#endif /* _BILJPEG_H_ */