#ifndef _BILPNG_H_
#define _BILPNG_H_

/* include various sub-include files */
#include <bil/bil.h>

/* begin C function definitions */
#ifdef __cplusplus
extern "C" {
#endif

/* import/export stuff */
#if defined(WIN32)
#  if defined(BILPNG_DLL_EXPORT)
#    define BILPNG_API	__declspec(dllexport)
#  elif defined(BILPNG_DLL_IMPORT)
#    define BILPNG_API	__declspec(dllimport)
#  else
#    define BILPNG_API	extern
#  endif
#else
#  define BILPNG_API	extern
#endif

/* version stuff */
#define BILPNG_NAME	    "png"
#define BILPNG_VERSION  BIL_VERSION_MAKE(1,0,0)

/* function prototypes */
BILPNG_API BILboolean bilPngRegisterEncoder();
BILPNG_API BILboolean bilPngUnregisterEncoder();
BILPNG_API BILboolean bilPngRegisterDecoder();
BILPNG_API BILboolean bilPngUnregisterDecoder();

/* end C function definitions */
#ifdef __cplusplus
    }
#endif

#endif /* _BILPNG_H_ */