#ifndef _BIL_IMAGE_H_
#define _BIL_IMAGE_H_

/* just for some error checking */
#define BIL_IMAGE_SIGNATURE	 (0x21474D49)

typedef struct
  {
  BILubyte red;
  BILubyte green;
  BILubyte blue;
  BILubyte alpha;
  } BILpixelStruct;

typedef struct
  {
  BILuint         signature;
  BILsizei        width;
  BILsizei        height;
  BILpixelStruct *pixels;
  BILmap          parasites;
  } BILimageStruct;

#endif /* _IL_IMAGE_H_ */
