#ifndef _BIL_INTERNAL_H_
#define _BIL_INTERNAL_H_

/* clarify whether we are in debug mode */
#if defined(DEBUG) || (!defined(NDEBUG) && !defined(RELEASE))
#  if !defined(DEBUG)
#    define DEBUG
#  endif
#  undef  RELEASE
#  undef  NDEBUG
#else
#  undef  DEBUG
#  if !defined(RELEASE)
#    define RELEASE
#  endif
#  if !defined(NDEBUG)
#    define NDEBUG
#  endif
#endif

/* include various sub-include files */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>
#include <math.h>
#include <bil/bil.h>
#include <bil/bilDriver.h>
#include "bilConfig.h"
#include "bilMap.h"
#include "bilImage.h"
#include "bilConvert.h"

#undef  MAX
#define MAX(a, b)  (((a) > (b)) ? (a) : (b))

#undef	MIN
#define MIN(a, b)  (((a) < (b)) ? (a) : (b))

#endif /* _BIL_INTERNAL_H_ */