#include "bilJpegInternal.h"



METHODDEF(void) new_error_exit(j_common_ptr cinfo)
  {
  BILJPEGerrorMgrStruct *errorMgr = (BILJPEGerrorMgrStruct *)cinfo->err;

  /* write error message */
  errorMgr->parent.output_message(cinfo);

  /* jump to error handler */
  longjmp(errorMgr->setjmp_buffer, 1);
  }


BILboolean bilJpegInitErrorMgr(BILJPEGerrorMgrStruct *err)
  {
  /* initialise standard error handler */
  jpeg_std_error(&(err->parent));

  /* set our own error_exit function */
  err->parent.error_exit = new_error_exit;

  return BIL_TRUE;
  }
