#ifndef _BIL_FILTER_H_
#define _BIL_FILTER_H_

/* begin C function definitions */
#ifdef __cplusplus
extern "C" {
#endif

BIL_API BILboolean bilPointRegisterFilter();
BIL_API BILboolean bilBoxRegisterFilter();
BIL_API BILboolean bilTriangleRegisterFilter();
BIL_API BILboolean bilQuadraticRegisterFilter();
BIL_API BILboolean bilCubicRegisterFilter();
BIL_API BILboolean bilCatromRegisterFilter();
BIL_API BILboolean bilMitchellRegisterFilter();
BIL_API BILboolean bilGaussianRegisterFilter();
BIL_API BILboolean bilSincRegisterFilter();
BIL_API BILboolean bilBesselRegisterFilter();
BIL_API BILboolean bilHanningRegisterFilter();
BIL_API BILboolean bilHammingRegisterFilter();
BIL_API BILboolean bilBlackmanRegisterFilter();
BIL_API BILboolean bilKaiserRegisterFilter();

BIL_API BILboolean bilRegisterFilters();

/* end C function definitions */
#ifdef __cplusplus
    }
#endif

#endif /* _BIL_FILTER_H_ */