#ifndef _BILRAW_H_
#define _BILRAW_H_

/* include various sub-include files */
#include <bil.h>

/* import/export stuff */
#if defined(WIN32)
#  if defined(BILRAW_DLL_EXPORT)
#    define BILRAW_API	__declspec(dllexport)
#  elif defined(BILRAW_DLL_IMPORT)
#    define BILRAW_API	__declspec(dllimport)
#  else
#    define BILRAW_API	extern
#  endif
#else
#  define BILRAW_API	extern
#endif

/* version stuff */
#define BILRAW_NAME       "jpeg"
#define BILRAW_VERSION    BIL_VERSION_MAKE(1,0,0)

/* function prototypes */
BILRAW_API BILboolean bilRawRegisterEncoder();
BILRAW_API BILboolean bilRawRegisterDecoder();

#endif /* _BILRAW_H_ */
